#include "main.h"
#include "fm33le0xx_fl.h"
#include "stdio.h"


#define USE_Demo	0

#if USE_Demo == 1

#include "uart0_interrupt.h"

#else

#include "UART_Code.h"

#endif


uint8_t Test_String[] = "UART_OK" ;



void IIC_Init(void)
{
    FL_GPIO_InitTypeDef				GPIO_InitStruct ;
    FL_I2C_MasterMode_InitTypeDef	IIC_InitStruct ;

    GPIO_InitStruct.pin			= FL_GPIO_PIN_5 ;
    GPIO_InitStruct.mode		= FL_GPIO_MODE_DIGITAL ;
    GPIO_InitStruct.outputType	= FL_GPIO_OUTPUT_PUSHPULL ;
    GPIO_InitStruct.pull		= FL_DISABLE ;
    GPIO_InitStruct.remapPin	= FL_ENABLE ;
    FL_GPIO_Init(GPIOC , &GPIO_InitStruct) ;

    GPIO_InitStruct.pin			= FL_GPIO_PIN_4 ;
    GPIO_InitStruct.mode		= FL_GPIO_MODE_DIGITAL ;
    GPIO_InitStruct.outputType	= FL_GPIO_OUTPUT_PUSHPULL ;
    GPIO_InitStruct.pull		= FL_DISABLE ;
    GPIO_InitStruct.remapPin	= FL_ENABLE ;
    FL_GPIO_Init(GPIOC , &GPIO_InitStruct) ;

    IIC_InitStruct.clockSource	= FL_RCC_I2C_CLK_SOURCE_SYSCLK ; FL_RCC_I2C_CLK_SOURCE_RCHF ; //FL_RCC_I2C_CLK_SOURCE_RCHF ;
    IIC_InitStruct.baudRate		= 4000 ;

    FL_I2C_MasterMode_Init(I2C, &IIC_InitStruct) ;

}



int main(void)
{
    /* Reset of all peripherals, Initializes the Flash interface and the Systick. */
    /* SHOULD BE KEPT!!! */
    MF_Clock_Init();

    /* Configure the system clock */
    /* SHOULD BE KEPT!!! */
    MF_SystemClock_Config();

    /* Initialize FL Driver Library */
    /* SHOULD BE KEPT!!! */
    FL_Init();

    /* Initialize all configured peripherals */
    /* SHOULD BE KEPT!!! */
	
	IIC_Init() ;
	
	
#if USE_Demo == 1 
	MF_Config_Init();
    Uart0_TXRX_Interrupt();
	Uart5_TXRX_Interrupt();
    while(1)
    {
		
FL_DelayMs(1000) ;
		if(Return_Rec_Len())
		{
			Logout_Rec_Data() ;
			
			Reset_Rec_Len() ;
		}
		
    }
#else

UART_1_To_T20_Init() ;
UART_5_To_BLE_Init() ;
UART_NVIC_Init() ;
BSTIM32_Init_1MS()  ;
UART_x_Send_Data_Start(UART5 , Test_String , sizeof(Test_String) ) ;
UART_x_Send_Data_Start(UART1 , Test_String , sizeof(Test_String) ) ;
    while(1)
    {
		
//		FL_DelayMs(1000) ;
		if(UART_1_RX_Over_Return() || UART_5_RX_Over_Return())
		{
			Logout_Data() ;
		}
		
	}
#endif
	
	
	
	return  1 ;
}


